Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.policy
Interface PolicyReconcilerOperations

All Known Subinterfaces:
  PolicyReconciler

public interface PolicyReconcilerOperations

This interface is used to merge policies from different domains

Method Summary
`Policy` | `reconcile_policies(int type, Policy client_policy, Policy ior_policy, DomainManager[] domain_managers)` Merge policies of given type from the given domains.

Method Detail

### reconcile_policies

    public Policy reconcile_policies(int type,
                                     Policy client_policy,
                                     Policy ior_policy,
                                     DomainManager[] domain_managers)

  Merge policies of given type from the given domains.
  Parameters:
    `policy_type` - Policy type. client_policy and profile_policy must be of this type.
    `client_policy` - effective client override. (may be null)
    `profile_policy` - policy specified in profile. (may be null)
    `domain_managers` - domain managers.
  Returns:
    Merged policy, or null for no policy of given type.
  Throws:
    `INV_POLICY` - if merge cannot be performed.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD